# scores
scoreboard objectives add fkvg.options dummy {"text":"Visitors Guard Options","color":"#7800ff"}
scoreboard objectives add spawn_visit trigger {"text":"visit_spawn trigger","color":"#7800ff"}
scoreboard objectives add player_role trigger {"text":"player_role trigger","color":"#7800ff"}
scoreboard objectives add fkvg.player.manager dummy {"text":"Visitors Manager","color":"#7800ff"}
scoreboard objectives add fkvg.player.role dummy {"text":"Visitors Roles","color":"#7800ff"}
scoreboard objectives add fkvg.player.connect minecraft.custom:minecraft.leave_game {"text":"ltsc.player.connect","color":"#7800ff"}
scoreboard objectives add fkvg.p.walk minecraft.custom:minecraft.walk_one_cm {"text":"ltsc.player.walk","color":"#7800ff"}
scoreboard objectives add fkvg.p.sprint minecraft.custom:minecraft.sprint_one_cm {"text":"ltsc.player.sprint","color":"#7800ff"}
scoreboard objectives add fkvg.p.onwater minecraft.custom:minecraft.walk_on_water_one_cm {"text":"ltsc.player.onwater","color":"#7800ff"}
scoreboard objectives add fkvg.p.inwater minecraft.custom:minecraft.walk_under_water_one_cm {"text":"ltsc.player.inwater","color":"#7800ff"}
scoreboard objectives add fkvg.p.swim minecraft.custom:minecraft.swim_one_cm {"text":"ltsc.player.swim","color":"#7800ff"}
scoreboard objectives add fkvg.p.fly minecraft.custom:minecraft.fly_one_cm {"text":"ltsc.player.fly","color":"#7800ff"}
scoreboard objectives add fkvg.open.chest minecraft.custom:minecraft.open_chest {"text":"ltsc.open.chest","color":"#7800ff"}
scoreboard objectives add fkvg.open.trapped minecraft.custom:minecraft.trigger_trapped_chest {"text":"ltsc.open.trapped","color":"#7800ff"}
scoreboard objectives add fkvg.open.barrel minecraft.custom:minecraft.open_barrel {"text":"ltsc.open.barrel","color":"#7800ff"}
scoreboard objectives add fkvg.open.shulker minecraft.custom:minecraft.open_shulker_box {"text":"ltsc.open.shulker","color":"#7800ff"}
scoreboard objectives add fkvg.open.hopper minecraft.custom:minecraft.inspect_hopper {"text":"ltsc.open.hopper","color":"#7800ff"}
scoreboard objectives add fkvg.open.dropper minecraft.custom:minecraft.inspect_dropper {"text":"ltsc.open.dropper","color":"#7800ff"}
scoreboard objectives add fkvg.open.dispenser minecraft.custom:minecraft.inspect_dispenser {"text":"ltsc.open.dispenser","color":"#7800ff"}
scoreboard objectives add fkvg.open.furnace minecraft.custom:minecraft.interact_with_furnace {"text":"ltsc.open.furnace","color":"#7800ff"}
scoreboard objectives add fkvg.open.bfurnace minecraft.custom:minecraft.interact_with_blast_furnace {"text":"ltsc.open.bfurnace","color":"#7800ff"}
scoreboard objectives add fkvg.open.smoker minecraft.custom:minecraft.interact_with_smoker {"text":"ltsc.open.smoker","color":"#7800ff"}
scoreboard objectives add fkvg.open.brewingstand minecraft.custom:minecraft.interact_with_brewingstand {"text":"ltsc.open.brewingstand","color":"#7800ff"}

# spawn pos init
execute unless data storage fkvg:pos area run data modify storage fkvg:pos area set value [0,64,0]
execute unless data storage fkvg:pos prison run data modify storage fkvg:pos prison set value [0,64,0]

# teams
team add Bandit {"text":"Bandit","color":"dark_gray"}
team modify Bandit prefix {"text":"Bandit ","color":"dark_gray"}
team modify Bandit seeFriendlyInvisibles false

team add Visitor {"text":"Visitor","color":"gray"}
team modify Visitor prefix {"text":"Visitor ","color":"gray"}
team modify Visitor seeFriendlyInvisibles false

team add Traveler {"text":"Traveler","color":"#c8ff00"}
team modify Traveler prefix {"text":"Traveler ","color":"#afff00"}
team modify Traveler seeFriendlyInvisibles false

team add Pilgrim {"text":"Pilgrim","color":"#33ff00"}
team modify Pilgrim prefix {"text":"Pilgrim ","color":"#33ff00"}
team modify Pilgrim seeFriendlyInvisibles false

team add Player {"text":"Player","color":"#00ffc8"}
team modify Player prefix {"text":"Player ","color":"#00ffc8"}
team modify Player seeFriendlyInvisibles false

team add Advisor {"text":"Advisor","color":"#3c50ff"}
team modify Advisor prefix {"text":"Advisor ","color":"#3c50ff"}
team modify Advisor seeFriendlyInvisibles false

team add Leader {"text":"Leader","color":"#823cff"}
team modify Leader prefix {"text":"Leader ","color":"#823cff"}
team modify Leader seeFriendlyInvisibles false

# config
function fkvg:properties

# display
tellraw @a ["",{"text":"[VisitorGuard] ","bold":true,"color":"gold","hoverEvent":{"action":"show_text","value":[{"text":"Developed with love by "},{"text":"FunkyToc","color":"dark_purple","bold":true}]}},{"text":"Enabled ! "},{"text":"More infos on "},{"text":"funkytoc.fr","color":"dark_purple","clickEvent":{"action":"open_url","value":"https://funkytoc.fr/en/home/"}}]
execute if score McVersion fktool matches ..11904 run tellraw @a ["",{"text":"[VisitorGuard] ","bold":true,"color":"gold","hoverEvent":{"action":"show_text","value":[{"text":"Developed with love by "},{"text":"FunkyToc","color":"dark_purple","bold":true}]}},{"text":"Version 1.19.4 or inferior detected !","color":"red"}]
execute if score McVersion fktool matches ..11904 run tellraw @a ["",{"text":"[VisitorGuard] ","bold":true,"color":"gold","hoverEvent":{"action":"show_text","value":[{"text":"Developed with love by "},{"text":"FunkyToc","color":"dark_purple","bold":true}]}},{"text":"This datapack needs 1.20+","color":"red"}]
execute if score McVersion fktool matches 12000.. run tellraw @a ["",{"text":"[VisitorGuard] ","bold":true,"color":"gold","hoverEvent":{"action":"show_text","value":[{"text":"Developed with love by "},{"text":"FunkyToc","color":"dark_purple","bold":true}]}},{"text":"Modify Options "},{"text":"[click here]","bold":true,"color":"aqua","clickEvent":{"action":"suggest_command","value":"/function fkvg:options/get"}}]
execute if score McVersion fktool matches 12000.. run tellraw @a ["",{"text":"[VisitorGuard] ","bold":true,"color":"gold","hoverEvent":{"action":"show_text","value":[{"text":"Developed with love by "},{"text":"FunkyToc","color":"dark_purple","bold":true}]}},{"text":"You're playing the FREE version, get the customizable version "},{"text":"[becoming a Patreon]","bold":true,"color":"aqua","clickEvent":{"action":"open_url","value":"https://www.patreon.com/funkytoc"}}]
